<?php
namespace Modules\Documents\DocumentsList;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 */
	protected $resultsPerPageList = [10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
		->append(
			ListingColumn::create('id')
			)
			->append(
			ListingColumn::create('pivot')
			)
			->append(
				ListingColumn::create('docType')
			)
			->append(
				ListingColumn::create('docNumber')
			)
			->append(
				ListingColumn::create('docDate')
					->setType('date')
					->setSortable('DESC')
			)
			->append(
				ListingColumn::create('seriesCode')
				)
			->append(
				ListingColumn::create('template')
			)

			->append(
				ListingColumn::create('sentByEmail')
			)
			->append(
				ListingColumn::create('generationType')
			)
			->append(
				ListingColumn::create('fileSize')
			)
			->append(
				ListingColumn::create('addUser')
			)
			->append(
				ListingColumn::create('addDate')
					->setType('date')
			)
		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}